package com.rjconsultores.ventaboletos.relatorios.receitaDespesa;

import java.math.BigDecimal;
import java.util.Date;

public class RelatorioFinanceiroReceitasDespesasBean {
	
	public static Integer TIPO_CREDITO = 1;
	public static Integer TIPO_DEBITO = 0;
	
	private Date fecHorVta;
	private Integer puntoVentaId;
	private Integer indtipo;
	private String nombPuntoVenta;
	private String tipoEventoExtraId;
	private String numPuntoVenta;
	private String formaPagamento;
	private String numSeriePreImpresa;
	private String numFolioPreImpreso;
	private String numDocumento;
	private String descTipoEvento;
	private BigDecimal precio;
	private BigDecimal receita;
	private BigDecimal despesa;
	private String formaPagamento1;
	private String formaPagamento2;
	private String formaPagamento3;
	private BigDecimal ValorFormaPagamento1;
	private BigDecimal ValorFormaPagamento2;
	private BigDecimal ValorFormaPagamento3;
	private String cveTipoEvento;
	private String boletoId;
	private String descricao;

	public Date getFecHorVta() {
		return fecHorVta;
	}

	public void setFecHorVta(Date fecHorVta) {
		this.fecHorVta = fecHorVta;
	}

	public Integer getPuntoVentaId() {
		return puntoVentaId;
	}

	public void setPuntoVentaId(Integer puntoVentaId) {
		this.puntoVentaId = puntoVentaId;
	}

	public String getNombPuntoVenta() {
		return nombPuntoVenta;
	}

	public void setNombPuntoVenta(String nombPuntoVenta) {
		this.nombPuntoVenta = nombPuntoVenta;
	}

	public String getTipoEventoExtraId() {
		return tipoEventoExtraId;
	}

	public void setTipoEventoExtraId(String tipoEventoExtraId) {
		this.tipoEventoExtraId = tipoEventoExtraId;
	}

	public String getDescTipoEvento() {
		return descTipoEvento;
	}

	public void setDescTipoEvento(String descTipoEvento) {
		this.descTipoEvento = descTipoEvento;
	}

	public BigDecimal getPrecio() {
		return precio;
	}

	public void setPrecio(BigDecimal precio) {
		this.precio = precio;
	}

	public BigDecimal getReceita() {
		return receita != null ? receita : BigDecimal.ZERO;
	}

	public void setReceita(BigDecimal receita) {
		this.receita = receita;
	}

	public BigDecimal getDespesa() {
		return despesa != null ? despesa : BigDecimal.ZERO;
	}

	public void setDespesa(BigDecimal despesa) {
		this.despesa = despesa;
	}

	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}

	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}
	
	public BigDecimal getSaldo() {
		return getReceita().add(getDespesa());
	}

	public Integer getIndtipo() {
		return indtipo;
	}

	public void setIndtipo(Integer indtipo) {
		this.indtipo = indtipo;
	}
	
	public String getDescTipo() {
		if(getIndtipo() != null) {
			if(getIndtipo().equals(TIPO_CREDITO)) {
				return "Receita";
			} else if(getIndtipo().equals(TIPO_DEBITO)) {
				return "Despesa";
			}
		}
		return null;
	}

	public String getNumSeriePreImpresa() {
		return numSeriePreImpresa;
	}

	public void setNumSeriePreImpresa(String numSeriePreImpresa) {
		this.numSeriePreImpresa = numSeriePreImpresa;
	}

	public String getNumFolioPreImpreso() {
		return numFolioPreImpreso;
	}

	public void setNumFolioPreImpreso(String numFolioPreImpreso) {
		this.numFolioPreImpreso = numFolioPreImpreso;
	}

	public String getNumDocumento() {
		return numDocumento;
	}

	public void setNumDocumento(String numDocumento) {
		this.numDocumento = numDocumento;
	}

	public String getFormaPagamento() {
		return formaPagamento;
	}

	public void setFormaPagamento(String formaPagamento) {
		this.formaPagamento = formaPagamento;
	}

	public String getFormaPagamento1() {
		return formaPagamento1;
	}

	public void setFormaPagamento1(String formaPagamento1) {
		this.formaPagamento1 = formaPagamento1;
	}

	public String getFormaPagamento2() {
		return formaPagamento2;
	}

	public void setFormaPagamento2(String formaPagamento2) {
		this.formaPagamento2 = formaPagamento2;
	}

	public String getFormaPagamento3() {
		return formaPagamento3;
	}

	public void setFormaPagamento3(String formaPagamento3) {
		this.formaPagamento3 = formaPagamento3;
	}

	public BigDecimal getValorFormaPagamento1() {
		return ValorFormaPagamento1 != null ? ValorFormaPagamento1 : BigDecimal.ZERO;
	}

	public void setValorFormaPagamento1(BigDecimal valorFormaPagamento1) {
		ValorFormaPagamento1 = valorFormaPagamento1;
	}

	public BigDecimal getValorFormaPagamento2() {
		return ValorFormaPagamento2 != null ? ValorFormaPagamento2 : BigDecimal.ZERO;
	}

	public void setValorFormaPagamento2(BigDecimal valorFormaPagamento2) {
		ValorFormaPagamento2 = valorFormaPagamento2;
	}

	public BigDecimal getValorFormaPagamento3() {
		return ValorFormaPagamento3 != null ? ValorFormaPagamento3 : BigDecimal.ZERO;
	}

	public void setValorFormaPagamento3(BigDecimal valorFormaPagamento3) {
		ValorFormaPagamento3 = valorFormaPagamento3;
	}

	public String getCveTipoEvento() {
		return cveTipoEvento;
	}

	public void setCveTipoEvento(String cveTipoEvento) {
		this.cveTipoEvento = cveTipoEvento;
	}

	public String getBoletoId() {
		return boletoId;
	}

	public void setBoletoId(String boletoId) {
		this.boletoId = boletoId;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
		
}
